Package com.ibm.bamoe.ilmt.common

# Class AbstractPAMOESwidTagGen

java.lang.Object
com.ibm.bamoe.ilmt.common.SwidFileGenerator
com.ibm.bamoe.ilmt.common.AbstractPAMOESwidTagGen

public abstract class AbstractPAMOESwidTagGen extends SwidFileGenerator

## Constructor Summary

Constructors
Constructor
Description
`AbstractPAMOESwidTagGen()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getFileName()`
`String`
`getSwidContent()`

### Methods inherited from class com.ibm.bamoe.ilmt.common.SwidFileGenerator

`createSwidFile, getBaseVersion, getFilePath`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractPAMOESwidTagGen

public AbstractPAMOESwidTagGen()

## Method Details

### getFileName

public String getFileName()

Specified by:
  `getFileName` in class `SwidFileGenerator`

### getSwidContent

public String getSwidContent()

Specified by:
  `getSwidContent` in class `SwidFileGenerator`